Bug 971073 - [abrt-caught bug] evolution 2.32 crashed in imapx_command_select_done
[abrt-caught bug] evolution 2.32 crashed in imapx_command_select_done
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: beta
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:31 EDT by David Jaša
Modified: 2014-01-02 04:06 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-data-server-2.32.3-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:13:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full backtrace (81.79 KB, text/plain)
2013-06-05 11:31 EDT, David Jaša
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 639717 None None None Never

  None (edit)
Description David Jaša 2013-06-05 11:31:20 EDT
Created attachment 757266 [details]
full backtrace

Description of problem:
evolution crashed while in the background. The crash occured after several minutes since connectivity change.

Version-Release number of selected component (if applicable):
evolution-2.32.3-1.el6.x86_64

Last frames from crashing thread:
Thread 1 (Thread 0x7fec4fcba700 (LWP 32623)):
#0  imapx_command_select_done (is=0x19b12410 [CamelIMAPXServer], ic=0x1eca2b00) at camel-imapx-server.c:2444
        failed = {head = 0x75d1600, tail = 0x0, tailpred = 0x1e8a9800}
        cw = 0xa7d5ac0
        cn = 0xec1b360
        selected_folder = 0x0
#1  0x00007fec5b985238 in cancel_all_jobs (d=0x19b12410) at camel-imapx-server.c:4663
        cw = 0x19b124f0
        ic = 0x1eca2b00
        i = <value optimized out>
#2  imapx_parser_thread (d=0x19b12410) at camel-imapx-server.c:4782
        is = 0x19b12410 [CamelIMAPXServer]
        op = 0x73da500
        local_error = 0x1ab4acb0
Comment 1 Milan Crha 2013-06-24 09:06:16 EDT
The imapx code is part of evolution-data-server, thus I'm moving this there.
Comment 2 Milan Crha 2013-06-24 13:42:12 EDT
The only related bug report filled upstream is [1], but it has its fixed in 2.32.1+ of evolution-data-server, thus it seems as it didn't address the crash completely. There is opened another bug [2] too, but it's not fixed yet.
The [2] contains a workaround, which is already included in 2.32.3-4.el6, within fixed for Coverity Scan issues.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=632532
[2] https://bugzilla.gnome.org/show_bug.cgi?id=639717
Comment 8 errata-xmlrpc 2013-11-21 00:13:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.